Upstream information

CVE-2020-12108 at MITRE

Description

/options/mailman in GNU Mailman before 2.1.31 allows Arbitrary Content Injection.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 4.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:N CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact None Low
Integrity Impact High None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1171363 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • mailman >= 2.1.17-3.20.1
Patchnames:
HPE-Helion-OpenStack-8-2020-1301
SUSE Enterprise Storage 5
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-Storage-5-2020-1301
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-1301
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2020-1301
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-1301
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-1301
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-1301
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-1301
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-1301
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-1301
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2020-1301
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-1301
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2020-1301
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-1301
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-1301
SUSE OpenStack Cloud 7
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-1301
SUSE OpenStack Cloud 8
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-1301
SUSE OpenStack Cloud Crowbar 8
  • mailman >= 2.1.17-3.20.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-1301
openSUSE Leap 15.1
  • mailman >= 2.1.29-lp151.3.11.1
  • mailman-debuginfo >= 2.1.29-lp151.3.11.1
  • mailman-debugsource >= 2.1.29-lp151.3.11.1
Patchnames:
openSUSE-2020-661
openSUSE Leap 15.2
  • mailman >= 2.1.34-lp152.7.3.1
  • mailman-debuginfo >= 2.1.34-lp152.7.3.1
  • mailman-debugsource >= 2.1.34-lp152.7.3.1
Patchnames:
openSUSE-2020-1707


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 12 SP4 mailman Released
SUSE Linux Enterprise High Performance Computing 12 SP5 mailman Released
SUSE Linux Enterprise Server 11 SP1 mailman Released
SUSE Linux Enterprise Server 11 SP3 mailman Released
SUSE Linux Enterprise Server 11 SP4 LTSS mailman Affected
SUSE Linux Enterprise Server 12 SP1 LTSS mailman Released
SUSE Linux Enterprise Server 12 SP2 BCL mailman Released
SUSE Linux Enterprise Server 12 SP2 LTSS mailman Released
SUSE Linux Enterprise Server 12 SP3 BCL mailman Released
SUSE Linux Enterprise Server 12 SP3 LTSS mailman Released
SUSE Linux Enterprise Server 12 SP4 mailman Released
SUSE Linux Enterprise Server 12 SP5 mailman Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 mailman Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 mailman Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 mailman Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mailman Released